//po4a: entry man manual
= waitpid(1)
:doctype: manpage
:man manual: User Commands
:man source: util-linux {release-version}
:page-layout: base
:command: waitpid

== NAME

waitpid - utility to wait for arbitrary processes

== SYNOPSIS

*waitpid* [-v] [*--timeout*|*-t* _seconds_] pid...

== DESCRIPTION

*waitpid* is a simple command to wait for arbitrary non-child processes.

It exits after all processes whose PIDs have been passed as arguments have
exited.

== OPTIONS

*-v*, *--verbose*::
Be more verbose.

*-t*, *--timeout* _seconds_::
Maximum wait time.

*-e*, *--exited*::
Don't error on already exited PIDs.

*-c*, *--count* _count_::
Number of process exits to wait for.

include::man-common/help-version.adoc[]

== EXIT STATUS

*waitpid* has the following exit status values:

*0*::
success
*1*::
unspecified failure
*2*::
system does not provide necessary functionality
*3*::
timeout expired

== AUTHORS

mailto:thomas@t-8ch.de[Thomas Weißschuh]

== SEE ALSO

*waitpid*(2) *wait*(1P)

include::man-common/bugreports.adoc[]

include::man-common/footer.adoc[]

ifdef::translation[]
include::man-common/translation.adoc[]
endif::[]
